image: fedora/latest
secrets:
  - 50d35e03-568c-41ce-91a6-9b0228aa75cb
  - 4629afef-1aa1-490b-b44e-828e20c2157e
sources:
  - git@git.sr.ht:~fourstepper/ansible-role-org
packages:
  - sudo
  - libffi-devel
  - openssl-devel
  - python3-pip
  - python3-devel
  - python3-setuptools
  - python3-wheel
  - podman
tasks:
  - setup-env: |
      sudo pip3 install ansible molecule[podman] --progress-bar off
      ansible --version
      molecule --version
  - alpine-edge: |
      cd ansible-role-org
      export ANSIBLE_VAULT_PASSWORD_FILE=/home/build/.secrets/vault_password.txt
      export IMAGE=fourstepper/docker-alpine-edge-ansible
      sudo -E molecule test
triggers:
  - action: email
    condition: failure
    to: builds@robinopletal.com
